/*
    mybutton.h - new button class for xforms
    
    Copyright (C) 1997 by Sven Anders

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef MYBUT_H
#define MYBUT_H

#define FL_AUTO_SIZE   0
#define FL_MYBUTTON    (FL_USER_CLASS_START + 1)
#define FL_MYBUTTON_BW  2

extern FL_OBJECT *fl_add_mybutton(int, FL_Coord, FL_Coord, 
				  FL_Coord, FL_Coord, const char *);

extern FL_OBJECT *fl_create_mybutton(int, FL_Coord, FL_Coord,
				     FL_Coord, FL_Coord, const char *);

#endif
